<template>
  <div style="display:inline">
    <el-popconfirm
      title="确定删除吗？"
      @confirm="deleteRow()">
      <el-button slot="reference" type="danger" size="mini" icon="el-icon-delete">删 除</el-button>
    </el-popconfirm>
  </div>
</template>

<script>
export default {
  props:['data'],
  methods:{
    deleteRow () {
      this.$api.requested({
        "classname": "webmanage.users.users",
        "method": "delete_user",
        "content": {
          "userid":this.data.userid
        }
      }).then(res=>{
        this.$emit('onSuccess')
      })
    },
  }
}

</script>
